Package org.apache.sling.resourceresolver.impl.helper

# Class ResourceIteratorDecorator

java.lang.Object
org.apache.sling.resourceresolver.impl.helper.ResourceIteratorDecorator

All Implemented Interfaces:
  `Iterator<org.apache.sling.api.resource.Resource>`

public class ResourceIteratorDecorator extends Object implements Iterator<org.apache.sling.api.resource.Resource>
Resource iterator handling the decoration of resources.

## Constructor Summary

Constructors
Constructor
Description
`ResourceIteratorDecorator(ResourceDecoratorTracker tracker, Iterator<org.apache.sling.api.resource.Resource> iterator)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`org.apache.sling.api.resource.Resource`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ResourceIteratorDecorator

public ResourceIteratorDecorator(ResourceDecoratorTracker tracker, Iterator<org.apache.sling.api.resource.Resource> iterator)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<org.apache.sling.api.resource.Resource>`
See Also:
  - `Iterator.hasNext()`

### next

public org.apache.sling.api.resource.Resource next()

Specified by:
  `next` in interface `Iterator<org.apache.sling.api.resource.Resource>`
See Also:
  - `Iterator.next()`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<org.apache.sling.api.resource.Resource>`
See Also:
  - `Iterator.remove()`